## org.springframework.context.annotation
Class CommonAnnotationBeanPostProcessor.LookupElement

    java.lang.Object
      org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
          org.springframework.context.annotation.CommonAnnotationBeanPostProcessor.LookupElement

Enclosing class:
  CommonAnnotationBeanPostProcessor

    protected abstract class CommonAnnotationBeanPostProcessor.LookupElement

extends InjectionMetadata.InjectedElement

Class representing generic injection information about an annotated field or setter method, supporting @Resource and related annotations.

Field Summary
`protected boolean` `isDefaultName`
`protected Class<?>` `lookupType`
`protected String` `mappedName`
`protected String` `name`

Fields inherited from class org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
`isField, member, pd, skip`

Constructor Summary
`CommonAnnotationBeanPostProcessor.LookupElement(Member member, PropertyDescriptor pd)`

Method Summary
`DependencyDescriptor` `getDependencyDescriptor()` Build a DependencyDescriptor for the underlying field/method.
`Class<?>` `getLookupType()` Return the desired type for the lookup.
`String` `getName()` Return the resource name for the lookup.
`protected abstract void` `initAnnotation(AnnotatedElement ae)`

Methods inherited from class org.springframework.beans.factory.annotation.InjectionMetadata.InjectedElement
`checkPropertySkipping, checkResourceType, equals, getMember, getResourceToInject, getResourceType, hashCode, inject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

### isDefaultName

    protected boolean isDefaultName

### lookupType

    protected Class<?> lookupType

### mappedName

    protected String mappedName

Constructor Detail

### CommonAnnotationBeanPostProcessor.LookupElement

    public CommonAnnotationBeanPostProcessor.LookupElement(Member member,
                                                           PropertyDescriptor pd)

Method Detail

### initAnnotation

    protected abstract void initAnnotation(AnnotatedElement ae)

### getName

    public final String getName()

  Return the resource name for the lookup.

### getLookupType

    public final Class<?> getLookupType()

  Return the desired type for the lookup.

### getDependencyDescriptor

    public final DependencyDescriptor getDependencyDescriptor()

  Build a DependencyDescriptor for the underlying field/method.

Copyright © 2002-2008 The Spring Framework.